AntiFeatures:
  - NonFreeNet
Categories:
  - Internet
License: MIT
AuthorName: Jonjo McKay
AuthorEmail: jonjo@jonjomckay.com
SourceCode: https://github.com/jonjomckay/fritter
IssueTracker: https://github.com/jonjomckay/fritter/issues

AutoName: Fritter

RepoType: git
Repo: https://github.com/jonjomckay/fritter

Builds:
  - versionName: 1.0.1
    versionCode: 20210205
    commit: v1.0.1
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@1.22.6
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.1.0
    versionCode: 20210316
    commit: v1.1.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@1.22.6
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.0
    versionCode: 20210331
    disable: no git tag
    commit: v2.0.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.0
    versionCode: 20210419
    commit: v2.0.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.1.0
    versionCode: 20210422
    commit: v2.1.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.2.0
    versionCode: 20210424
    commit: v2.2.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.2.1
    versionCode: 20210427
    commit: v2.2.1
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.2.2
    versionCode: 20210503
    commit: v2.2.2
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.3.0
    versionCode: 20210507
    commit: v2.3.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.3.1
    versionCode: 20210512
    commit: v2.3.1
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.4.0
    versionCode: 20210514
    commit: v2.4.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.5.0
    versionCode: 20210516
    commit: v2.5.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.6.0
    versionCode: 20210519
    commit: v2.6.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.6.1
    versionCode: 20210521
    commit: v2.6.1
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.6.2
    versionCode: 20210523
    commit: v2.6.2
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.7.0
    versionCode: 20210528
    commit: v2.7.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.7.1
    versionCode: 20210529
    commit: v2.7.1
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.8.0
    versionCode: 20210610
    commit: v2.8.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.2.1
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.9.0
    versionCode: 20210611
    commit: v2.9.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.2.1
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.10.0
    versionCode: 20210615
    commit: v2.10.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.2.1
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.11.2
    versionCode: 20210620
    commit: 5f9a2403ce9abeaf11776a46984c54e93c5f7959
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.2.1
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.12.0
    versionCode: 20210625
    commit: 331a9136ca8a2d9aaf64b896361616799a6c59aa
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.2.1
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.13.0
    versionCode: 20210716
    commit: e93db2db278dfec260a0c23b3f27bdbbf1e1670a
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.2.1
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.14.0
    versionCode: 20210910
    commit: fc42370039eb509a68020f9f5ecdf7d2a5305997
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.2.1
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.14.1
    versionCode: 20210926
    commit: 376f7fd7aca9b5abe9f95c4dbdd012b4be4eda1e
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.2.1
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.*$
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 2.14.1
CurrentVersionCode: 20210926
